astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Astronomical Coordinate Systems (`astropy.coordinates`) »
- DynamicMatrixTransform

# DynamicMatrixTransform

class `astropy.coordinates.``DynamicMatrixTransform`(matrix_func, fromsys, tosys, priority=1, register_graph=None)

  Bases: `astropy.coordinates.CoordinateTransform`

  A coordinate transformation specified as a function that yields a 3 x 3 cartesian transformation matrix.

  This is similar to, but distinct from StaticMatrixTransform, in that the matrix for this class might depend on frame attributes.

  Parameters:

  matrix_func : callable

  > A callable that has the signature `matrix_func(fromcoord, toframe)` and returns a 3 x 3 matrix that converts `fromcoord` in a cartesian representation to the new coordinate system.

  fromsys : class

  > The coordinate frame class to start from.

  tosys : class

  > The coordinate frame class to transform into.

  priority : number

  > The priority if this transform when finding the shortest coordinate transform path - large numbers are lower priorities.

  register_graph : `TransformGraph` or `None`

  > A graph to register this transformation with on creation, or `None` to leave it unregistered.

  Raises:

  TypeError

  > If `matrix_func` is not callable

  Methods Summary

  `__call__`(fromcoord, toframe) |

  Methods Documentation

  `__call__`(fromcoord, toframe)